Search the Community
Showing results for tags 'revision cloud'.
-
Revision cloud lisp with custom rotation of revision block on temporarily layer
fromMlm posted a topic in AutoLISP, Visual LISP & DCL
I found this nice revision cloud lisp made by Lee Mac: (defun c:rv ( / *error* ar bn cm el fn rv ) (setq bn "revlsp") ;; Rev Cloud Attributed Block (defun *error* ( msg ) (if cm (setvar 'cmdecho cm)) (if ar (setvar 'attreq ar)) (if (not (wcmatch (strcase msg) "*BREAK,*CANCEL*,*EXIT*")) (princ (strcat "\nError: " msg)) ) (princ) ) (setq cm (getvar 'cmdecho) ar (getvar 'attreq) ) (cond ( (not (or (tblsearch "BLOCK" bn) (and (setq fn (findfile (strcat bn ".dwg"))) (progn (setvar 'cmdecho 0) (command "_.-insert" fn nil) (setvar 'cmdecho cm) (tblsearch "BLOCK" bn) ) ) ) ) (princ (strcat "\n" bn ".dwg not found.")) ) ( (zerop (logand 2 (cdr (assoc 70 (tblsearch "BLOCK" bn))))) (princ (strcat "\n" bn " not attributed.")) ) ( (setq *rev* (cond ( (= "" (setq rv (getstring t (strcat "\nSpecify Revision" (if *rev* (strcat " <" *rev* ">: ") ": "))))) *rev* ) ( rv ) ) ) (initcommandversion) (command-s "_.revcloud") (while (= 1 (logand 1 (getvar 'cmdactive))) (command "\\")) (setvar 'cmdecho 0) (setvar 'attreq 0) (setq el (entlast)) (command "_.-insert" bn "_S" 1.0 "_R" 0.0 "\\") (if (not (eq el (setq el (entlast)))) (progn (setq el (entget (entnext el))) (if (entmod (subst (cons 1 *rev*) (assoc 1 el) el)) (entupd (cdr (assoc -1 el))) ) ) ) (setvar 'attreq ar) (setvar 'cmdecho cm) ) ) (princ) ) (princ) What I wish to do is: 1. Set the insertion point with variable rotation using osnap nearest and then back to current osnaps 2. - Save current layer/working layer. - Then temporarily change to a new given layer but change colour on the revision cloud to cyan (not the block) - Do the revision cloud and the insert. - Finally change back to my working layer. (in my case "K596 - Revideringsmoln") REVLSP.dwg I have tried to delete the 0.0 (command "_.-insert" bn "_S" 1.0 "_R" "\\") It just allows me to rotate the block and then place it. And the revision do not show. I would like to place first and then rotate. How do I specify the insert point for the block so I can rotate it? -
Would someone be able to create a dimension lisp that: Instead of numerical dimension, only shows a "?" And also puts a rev cloud around it as well I see when creating a new dimstyle, you can draw a frame around it. Didn't know if you could change that to a cloud automatically? I also need to be able to change the dimstyle its on as when we cloud different types of areas, they may need to be on a different layer. It can get tedious when dimensions are not given and I have to change each one to "? D.E." or "? E.O.S." I've searched around for something like this but couldn't really find anything. Any help from the gurus here are appreciated as always. Thanks, Nobull
- 8 replies
-
- question mark
- dimension
-
(and 1 more)
Tagged with:
-
Hi there, I am making revision clouds on some record drawings. They come out all peachy, but when I save the file and reopen it, all of the wonderful little clouds change to jagged straight lines. Can anyone offer a solution? Thanks, Brian
-
Revision cloud in autocad 2002
pgw posted a topic in AutoCAD 2D Drafting, Object Properties & Interface
Hi, Does someone know how I can make the revision cloud in Autocad 2002. Does it have the function? In which meny is it? What is the short command?